<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Preferential
 */

get_header(); ?>


<div id="pref-main-section">
	<div role="main">
    
        <?php get_sidebar( 'top' ); ?>
        
        <?php $bloglayout = get_theme_mod( 'blog_layout', 'blogright' );
        
            switch ($bloglayout) {
                // Right Column
                case "blogright" :
                    echo '<div class="container"><div class="row"><div class="col-md-9"><div id="pref-content" role="main">';
                    // get all the posts
                        if ( have_posts() ) : while ( have_posts() ) : the_post();				
                            // get the article layout
                            get_template_part( 'content', get_post_format() );					
                        endwhile;
                            // get the pagination
                            preferentiallite_paging_nav();
                        else :
                            // if no posts
                            get_template_part( 'content', 'none' );					
                        endif; 
                    echo '</div></div><div class="col-md-3"><aside id="pref-right" role="complementary">';
                        get_sidebar( 'right' );
                    echo '</aside></div></div></div>';
                break;		
                
                
                // Left Column
                case "blogleft" :
                    echo '<div class="container"><div class="row"><div class="col-md-3"><aside id="pref-left" role="complementary">';
                        get_sidebar( 'left' );
                    echo '</aside></div>';										
                    echo '<div class="col-md-9"><div id="pref-content" role="main">';
                        if ( have_posts() ) : while ( have_posts() ) : the_post();
                            get_template_part( 'content', get_post_format() );
                        endwhile;
                            preferentiallite_paging_nav();
                        else :
                            get_template_part( 'content', 'none' );
                        endif;				
                    echo '</div></div></div></div>';
                break;		
                
                
                // Left and Right Column
                case "blogleftright" :
                    echo '<div class="container"><div class="row"><div class="col-md-3"><aside id="pref-left" role="complementary">';
                        get_sidebar( 'left' );
                    echo '</aside></div>';										
                    echo '<div class="col-md-6"><div id="pref-content" role="main">';
                        if ( have_posts() ) : while ( have_posts() ) : the_post();
                            get_template_part( 'content', get_post_format() );
                        endwhile;
                            preferentiallite_paging_nav();
                        else :
                            get_template_part( 'content', 'none' );
                        endif;				
                    echo '</div></div><div class="col-md-3"><aside id="pref-right" role="complementary">';
                        get_sidebar( 'right' );
                    echo '</aside></div></div></div>';	
                break;			
            
                
                // Full Column no sidebar
                case "blogfull" :
                                                        
                    echo '<div class="container"><div class="row"><div class="col-md-12"><div id="pref-content" class="blog-full-width" role="main">';
                        if ( have_posts() ) : while ( have_posts() ) : the_post();
                            get_template_part( 'content', get_post_format() );
                        endwhile;
                            preferentiallite_paging_nav();
                        else :
                            get_template_part( 'content', 'none' );
                        endif;				
                    
                    echo '</div></div></div></div>';	
                break;	
                    
                
            }
        ?>

<?php get_sidebar( 'bottombanner' ); ?>

    </div>
</div>



<?php get_footer(); ?>
